ProductsRequirements and Specifications

Compatible with all OS, web browsers and devices.

Requirements for support agent

Review the following requirements to ensure the best compatibility.

Supporting
from a browser
Windows Windows 7 or later (32bit, 64bit)
Mac macOS X 10.12 (Sierra) ~ 11 (Big Sur)
Linux Ubuntu 14.04 or later
CentOS 7.5 or later
Android Android 5.0 (Lollipop) ~ 11
iOS iOS 11.3 ~ 14.3
(iPhone 5s or later, iPad 5th Gen / Air / mini 2 / Pro or later)
Browser Chrome 70 or later (Windows, Mac, Linux, Android)
Firefox 65 or later (Windows, Mac, Linux)
Edge Chromium 80 or later (Windows, Mac)
Safari 11 or later (Mac, iOS)
Opera 55 or later (Windows)
Supporting
from the application
Windows Windows 7 or later (32bit, 64bit)
Mac macOS X 10.11 (El Captitan) ~ 11 (Big Sur)

Requirements for customer – Support agent using a browser

Remote support is available to the following PC and mobile devices.

PC support Windows Windows 7 or later (32bit, 64bit)
Mac macOS X 10.12 (Sierra) ~ 11 (Big Sur)
Browser All OS
– Chrome 70 or later / Firefox 65 or later / Edge Chromium 80 or later
Windows
– Internet Explorer 8 ~ 11 / Opera 55 or later
Mac
– Safari 11 or later
Mobile/Visual support Android Android 5.0 (Lollipop) ~ 11
iOS iOS 11.0 ~ 14.3
(iPhone 5s or later, iPad 5th Gen / Air / mini 2 / Pro or later)
Browser Android
– Chrome 70 or later
iOS
– Safari 11 or later

Requirements for customer – Support agent using the application

Customer’s PC requires the following OS installed.

PC support Windows Windows 7 or later (32bit, 64bit)
Mac macOS X 10.11 (El Capitan) ~ 11 (Big Sur)
Linux Ubuntu 12.04, 14.04 (LTS only)
Mint 13, 17
Redhat 6.2 ~ 6.5
CentOS 5.7 ~ 6.5
Browser All OS (Windows / Mac OS / Linux)
– Google Chrome 40 or later / Mozilla Firefox 35 or later
Windows
– Internet Explorer 10 ~ 11 / Edge Chromium 75.0 or later / Opera 9.0 or later
macOS
– Apple Safari 10.0 or later / Edge Chromium 75.0 or later / Opera 9.0 or later
Mobile support Android Android 5.0 (Lollipop) or later
iOS iOS 11.0 or later
(iPhone 5s or later, iPad 4 / air / mini 2 / Pro or later)
Network 5G / LTE / 3G / Wi-Fi
Visual support Android Android 5.0 (Lollipop) or later
iOS iOS 11.0 ~ 14.3
(iPhone 5s or later, iPad 4 / air / mini 2 / Pro or later)
Network 5G / LTE / 3G / Wi-Fi
Camera A smartphone with camera